// swift-tools-version:5.5
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "ExportDeviceKit",
    platforms: [
        .iOS(.v14),
        .macOS(.v11)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(
            name: "ExportDeviceKit",
            targets: ["ExportDeviceKit"]),
    ],
    dependencies: [
        .package(name: "DeviceKit", url: "https://github.com/devicekit/DeviceKit", branch: "master"),
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages this package depends on.
        .target(
            name: "ExportDeviceKit",
            dependencies: [
                .product(
                    name: "DeviceKit",
                    package: "DeviceKit",
                    condition: .when(platforms: [.iOS]))
            ]),
        .testTarget(
            name: "ExportDeviceKitTests",
            dependencies: ["ExportDeviceKit"]),
    ]
)
