# Articles About ARHeadsetKit

[Creating the First Affordable AR Headset Experience](https://philipturner.github.io/first-affordable-ar-headset) - The story behind ARHeadsetKit.

[ARHeadsetKit Research Paper](https://github.com/philipturner/arheadsetkit-research-paper) - A scientific perspective on how ARHeadsetKit was created.

[Scene Color Reconstruction](https://github.com/philipturner/scene-color-reconstruction) - Real-time 3D scene color reconstruction on a mobile device.

[MTLLayeredBuffer](articles/layered-buffer.md) - Lowers the barrier to learning Metal and managing GPGPU workflows.

[ARHeadsetUtil](https://github.com/philipturner/ARHeadsetUtil) - A standalone package that wraps ARHeadsetKit's [extensions](./extensions-to-apple-frameworks.md) to Apple frameworks.

# Components of ARHeadsetKit

Central Renderer - A general-purpose renderer ridiculously optimized for half-precision arithmetic.

Hand Renderer - Learn more in [the challenge of hand reconstruction](https://philipturner.github.io/first-affordable-ar-headset/#the-challenge-of-hand-reconstruction).

Interface Renderer - The painful process of rendering everyday 2D text in 3D.

Lens Distortion Corrector - The fastest reverse VR lens distortion in existence.

Scene Renderer - Everything covered in [scene color reconstruction](https://github.com/philipturner/scene-color-reconstruction).
